# Scaffold

Utilitaire de génération d'arborescence de fichiers à partir de projets "modèles" distants/locaux.

## Installation

### À partir des sources

```
go install forge.cadoles.com/wpetit/scaffold/cmd/scaffold
```

### À partir des binaires

1. [Télécharger la dernière version du binaire correspondant à votre plateforme](https://forge.cadoles.com/wpetit/scaffold/releases)
2. Extraire l'archive et place le binaire `bin/scaffold` dans votre `$PATH` (par exemple dans le répertoire `/usr/local/bin`)

## Usage

```
NAME:
   scaffold - generate/update directory tree from template

USAGE:
   scaffold [global options] command [command options] [arguments...]

COMMANDS:
   from, n  generate a new project from a given template url
   help, h  Shows a list of commands or help for one command

GLOBAL OPTIONS:
   --help, -h  show help (default: false)
```

### `scaffold from [command options] <URL>`

```
OPTIONS:
   --directory DIR, -d DIR   Set destination to DIR (default: "./")
   --manifest FILE, -m FILE  The scaffold manifest FILE (default: "scaffold.yml")
   --help, -h                show help (default: false)
```

## Licence

[GPL-3.0](./LICENSE)